RequestAcceptEncoding (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.protocol
Class RequestAcceptEncoding

    java.lang.Object
      org.apache.http.client.protocol.RequestAcceptEncoding

All Implemented Interfaces:
  org.apache.http.HttpRequestInterceptor

    @Contract(threading=IMMUTABLE)
    public class RequestAcceptEncoding

extends Object
implements org.apache.http.HttpRequestInterceptor

Class responsible for handling Content Encoding requests in HTTP.

Instances of this class are stateless, therefore they're thread-safe and immutable.

Since:
  4.1
See Also:
  "http://www.w3.org/Protocols/rfc2616/rfc2616-sec3.html#sec3.5"

Constructor Summary
`RequestAcceptEncoding()`
`RequestAcceptEncoding(List<String> encodings)`

Method Summary
`void` | `process(org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestAcceptEncoding

    public RequestAcceptEncoding(List<String> encodings)

Since:
  4.4

### RequestAcceptEncoding

    public RequestAcceptEncoding()

Method Detail

### process

    public void process(org.apache.http.HttpRequest request,
                        org.apache.http.protocol.HttpContext context)
                 throws org.apache.http.HttpException,
                        IOException

  Specified by:
    `process` in interface `org.apache.http.HttpRequestInterceptor`
  Throws:
    `org.apache.http.HttpException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.